Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #1086 (new defect)

Opened 15 years ago

Last modified 14 years ago

Build failure when combined with gr-security

Reported by: der@mofarider.de Assigned to:
Priority: minor Milestone:
Component: madwifi: driver Version: trunk
Keywords: Cc:
Patch is attached: 0 Pending:

Description

Build fails with the following error on Debian Sarge

foo:/opt/install/madwifi# make
Checking requirements... ok.
Checking kernel configuration... ok.
make -C /lib/modules/2.6.19.2-grsec/build SUBDIRS=/opt/install/madwifi modules
make[1]: Entering directory `/usr/src/linux-2.6.19.2'
  CC [M]  /opt/install/madwifi/ath/if_ath.o
/opt/install/madwifi/ath/if_ath.c: In function `ath_sysctl_halparam':
/opt/install/madwifi/ath/if_ath.c:9302: warning: comparison of unsigned expression < 0 is always false
/opt/install/madwifi/ath/if_ath.c:9314: warning: comparison of unsigned expression < 0 is always false
/opt/install/madwifi/ath/if_ath.c:9324: warning: comparison of unsigned expression < 0 is always false
/opt/install/madwifi/ath/if_ath.c: At top level:
/opt/install/madwifi/ath/if_ath.c:9535: warning: missing initializer
/opt/install/madwifi/ath/if_ath.c:9535: warning: (near initialization for `ath_sysctl_template[17].procname')
/opt/install/madwifi/ath/if_ath.c:9716: warning: missing initializer
/opt/install/madwifi/ath/if_ath.c:9716: warning: (near initialization for `ath_static_sysctls[5].procname')
/opt/install/madwifi/ath/if_ath.c:9723: warning: missing initializer
/opt/install/madwifi/ath/if_ath.c:9723: warning: (near initialization for `ath_ath_table[1].procname')
/opt/install/madwifi/ath/if_ath.c:9730: warning: missing initializer
/opt/install/madwifi/ath/if_ath.c:9730: warning: (near initialization for `ath_root_table[1].procname')
make[3]: *** [/opt/install/madwifi/ath/if_ath.o] Error 1
make[2]: *** [/opt/install/madwifi/ath] Error 2
make[1]: *** [_module_/opt/install/madwifi] Error 2
make[1]: Leaving directory `/usr/src/linux-2.6.19.2'
make: *** [modules] Error 2

Build also fails on 2.6.19.1 vanilla as well as 2.6.19.2 vanilla. I think it may be due to changes introduced in 2.6.19.1 as it compiles perfectly well on 2.6.19.

Thanks.

Attachments

madwifi-0.9.2.1+cs1752+cs1745_2.6.19.diff (22.4 kB) - added by paolo >ten.fs.sresu@alpoo< on 01/17/07 15:32:58.
[patch] makes latest tarball 0.9.2.1 from sf.net compile against K 2.6.19.2

Change History

01/12/07 23:46:04 changed by der@mofarider.de

Guess I mess somethings up. The problem seems to be related to the grsecurity patch. Madwifi compiles fines without it.

I will post the problem on the grsecurity mailing list as well.

Thanks.

01/17/07 15:32:58 changed by paolo >ten.fs.sresu@alpoo<

  • attachment madwifi-0.9.2.1+cs1752+cs1745_2.6.19.diff added.

[patch] makes latest tarball 0.9.2.1 from sf.net compile against K 2.6.19.2

01/30/07 23:15:24 changed by der@mofarider.de

Build still fails against 2.6.29.2 with grsecurity patch. Just tried with revision 2031 and the latest grsecurity patch. Errors are the same as mentioned above. Any idea what could be the problem?

01/31/07 07:28:39 changed by mrenzmann

Please make the patch against a recent revision from trunk, right now it contains changes that already into trunk. And don't forget to sign it off so that we could commit it. Thanks.

02/04/07 17:26:16 changed by anonymous

I also cannot get madwifi (rev 2056) to compile against 2.6.19. Was not able to nail it down to grsecurity as the previous poster, but I do know that 2056 compiles fine against vanilla 2.6.19, but when I apply snaj's 'PowerPack? 2.6.19-pp1' patchset (which contains the grsecurity patches), madwifi will no longer compile.

02/05/07 13:56:59 changed by mentor

  • summary changed from Madwifi r1948 won't compile on 2.6.19.1/2.6.19.2 to Compilation Failure: r1948/trunk with 2.6.19.1/2.6.19.2.

Do current versions work and/or is this definitely peculiar to grsecurity patches?

I believe the current logic for including linux/config.h is correct.

02/13/07 21:49:38 changed by der@mofarider.de

For me it compiles fine on 2.6.19.2. Just tried revision 2108 and it works fine. I also have applied the exec-shield kernel patch which, unlike grsecurity, will not lead to compile problems.

02/17/07 21:43:16 changed by anonymous

I can confirm the same problem with the latest grsecurity and 2.6.19.2. Madwifi compiles fine without grsecurity but I get the same error once grsecurity has been applied.

Unrelated I know but TrueCrypt?, VMware vmmon and pretty much every kernel module I've tried will not compile with grsecurity, including madwifi. I'm guessing this is a grsecurity problem.

02/17/07 22:44:06 changed by mentor

  • priority changed from major to minor.
  • summary changed from Compilation Failure: r1948/trunk with 2.6.19.1/2.6.19.2 to Build failure when combined with gr-security.

Right, moving this to a lower priority. I suggest you ask on the gr-security list.

We might close this or get back to it later.

11/18/07 16:59:28 changed by piergiorgio@gigasec.org

In Makefile.inc comment line "COPTS += -Werror" This work fine for me with kernel 2.6.19.2-grsec

11/18/07 17:03:59 changed by mentor

That just ignores the problems, not fixes them